// Arquivo de exemplo: EventLogEntry.cs
// Para compilar utilize: csc EventLogEntry.cs

using System;
using System.Diagnostics;
class Programa
{
	public static void Main()
	{
		EventLog objLog = new EventLog();
		objLog.Log = "Aplicativo";
		foreach (EventLogEntry entry in objLog.Entries)
		{
			Console.WriteLine("Tipo: " + entry.EntryType);
			Console.WriteLine("Data: " + entry.Data);
			Console.WriteLine("Hora: " + entry.TimeWritten);
			Console.WriteLine("Fonte: " + entry.Source);
			Console.WriteLine("Categoria: " + entry.Category);
			Console.WriteLine("Evento: " + entry.Index);
			Console.WriteLine("Nome: " + entry.UserName);                
			Console.WriteLine("Computador: " + entry.MachineName);
			Console.WriteLine("Mensagem: " + entry.Message);
			Console.WriteLine("------------------------------------------------\n");                 
		}
		Console.Read();
	}
}
